property pLineIndex
property pUpMemberName
property pDownMemberName

on beginSprite (me)
  lOldDelimiter = _player.itemDelimiter
  _player.itemDelimiter = ","
  me.pUpMemberName = sprite(me.spriteNum).member.name
  me.pDownMemberName = me.pUpMemberName.item[1] & "," & me.pUpMemberName.item[2]  & ",down"
  _player.itemDelimiter = lOldDelimiter
end

on mouseDown (me)
  lInfo = QI(#video).GetCameraInfo(me.pLineIndex)
  if (lInfo <> [:]) then
    sprite(me.spriteNum).member = member(me.pDownMemberName)
  end if
end

on mouseUp (me)
  lInfo = QI(#video).GetCameraInfo(me.pLineIndex)
  if (lInfo <> [:]) then
    lChannel = integer(lInfo.channel)
    QI(#wintv).SetChannel(lChannel)
  end if
  sprite(me.spriteNum).member = member(me.pUpMemberName)
end

on getPropertyDescriptionList (me)
  
  return \
[ \
 #pLineIndex: \
 [ \
  #comment: "Enter the line index", \
  #format:  #integer, \
  #default: 1 \
 ] \
]
end