property pLineIndex
property pUpMemberName
property pDownMemberName
property pSection

on beginSprite (me)
  lOldDelimiter = _player.itemDelimiter
  _player.itemDelimiter = ","
  me.pUpMemberName = sprite(me.spriteNum).member.name
  me.pDownMemberName = me.pUpMemberName.item[1] & "," & me.pUpMemberName.item[2]  & ",down"
  _player.itemDelimiter = lOldDelimiter
end

on enterFrame (me) 
  me.pSection = #none
  if (QI(#status).GetCurrentSection() starts "internet") then
    me.pSection = #internet
  else if (QI(#status).GetCurrentSection() starts "video") then
    me.pSection = #video
    
    --    lIsSelected = QI(me.pSection).IsSelected(me.pLineIndex)
    --    if (lIsSelected = true) then
    --      sprite(me.spriteNum).member = member(me.pDownMemberName)
    --    else
    --      sprite(me.spriteNum).member = member(me.pUpMemberName)
    --    end if
    me.CheckIfSelected()
  end if 
end

on mouseDown (me)
  --  lInfo = QI(me.pSection).GetLineInfo(me.pLineIndex)
  --  if (lInfo <> [:]) then
  --    QI(me.pSection).SetSelectedID(lInfo.id)
  --    sprite(me.spriteNum).member = member(me.pDownMemberName)
  --  end if
  me.CheckIfSelected()
end

on mouseUp (me)
  lInfo = QI(me.pSection).GetLineInfo(me.pLineIndex)
  if (lInfo <> [:]) then
    
    if (QI(#status).GetCurrentSection() starts "internet") then
      QI(#nav).Navigate(lInfo.url, true)
    else
      -- Video
      lChannel = integer(lInfo.channel)
      QI(#wintv).SetChannel(lChannel)
    end if
  end if
  me.CheckIfSelected()
  --sprite(me.spriteNum).member = member(me.pUpMemberName)
end

on mouseLeave (me)
  me.CheckIfSelected()
  --sprite(me.spriteNum).member = member(me.pUpMemberName)
end

on mouseUpOutside (me)
  me.CheckIfSelected()
  --sprite(me.spriteNum).member = member(me.pUpMemberName)
end

on CheckIfSelected (me)
  lIsSelected = QI(me.pSection).IsSelected(me.pLineIndex)
  if (lIsSelected = true) then
    sprite(me.spriteNum).member = member(me.pDownMemberName)
  else
    sprite(me.spriteNum).member = member(me.pUpMemberName)
  end if
end

on getPropertyDescriptionList (me)
  
  return \
[ \
 #pLineIndex: \
 [ \
  #comment: "Enter the line index", \
  #format:  #integer, \
  #default: 1 \
 ] \
]
end