property pTabIndex
property pSection

on enterFrame (me) 
  me.pSection = #none
  if (QI(#status).GetCurrentSection() starts "internet") then
    me.pSection = #internet
  else if (QI(#status).GetCurrentSection() starts "video") then
    me.pSection = #video
  end if  
  
  lTabIndex = QI(me.pSection).GetTab()
  if (lTabIndex = me.pTabIndex) then
    sprite(me.spriteNum).member = QI(me.pSection).GetTabMemberPrefix() & ",down"
  else
    sprite(me.spriteNum).member = QI(me.pSection).GetTabMemberPrefix() & ",up"
  end if
end

on mouseUp (me)
  QI(me.pSection).SetTab(me.pTabIndex)
end

on getPropertyDescriptionList (me)
  return \
[ \
 #pTabIndex: \
 [ \
  #comment: "Enter the tab index", \
  #format:  #integer, \
  #default: 1 \
 ] \
]
end